Game of the Year Edition (GOTY) is a special edition of Deus Ex (published on May 8, 2001).
This version makes the following changes:
Application Details:
Version: | GOTY 1.112fm |
License: | Retail |
URL: | http://mirror.deusexnetwork.co... |
Votes: | 0 |
Latest Rating: | Gold |
Latest Wine Version Tested: | 1.8-rc1 |
Maintainers: About Maintainership
What works
Everything Single Player
Everything Multiplayer
What does not
Everything works
Workarounds
What was not tested
Running Mods
Hardware tested
Graphics:
Additional Comments
Using OpenGL renderer as listed on http://www.cwdohnal.com/utglr/
Operating system | Test date | Wine version | Installs? | Runs? | Used Workaround? | Rating | Submitter | ||
Show | Gentoo Linux x86_64 | Nov 22 2015 | 1.8-rc1 | Yes | Yes | No | Gold | Rob | |
Current | Fedora 17 | Apr 10 2013 | 1.5.24 | Yes | Yes | No | Platinum | Iain Wilson |
Out-of-the box the stock OpenGL renderer will generate a segmentation fault:
This BASH script will fix the DeusEx.ini file settings to correct this. Note it is recommended to use the newer OpenGL renderer (which is significantly better)
#export WINEPREFIX="❚❚❚❚❚❚"
export DEUS_EX_PATH
# Read install path for Deus Ex, from the Wine Registry.
# Note: this requires a first run, when DeusEx is installed under Steam.
DEUS_EX_PATH="$(
wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
| awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
| dos2unix
)"
# Fallback to 'C:\DeusEx'
DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"
printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"
# Convert path from Windows to Unix format
DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"
if [[ ! -d "${DEUS_EX_PATH}" ]]; then
printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
exit 1
fi
# Patch settings to make the game work properly on OpenGL devices
# Uses the default DeusEx install path (for the current WINEPREFIX)
if ! sed -i -e '/FrameRateLimit=60/d' \
-e 's/^GameRenderDevice=.*$/GameRenderDevice=OpenGLDrv.OpenGLRenderDevice/g' \
-e '/^GameRenderDevice=OpenGLDrv.OpenGLRenderDevice$/a\FrameRateLimit=60' \
-e 's/FirstRun=.*$/FirstRun=1100/g' \
"${DEUS_EX_PATH}/System/DeusEx.ini"
then
printf "Unable to update DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini" >&2
exit 1
fi
printf "Successfully updated DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini"
The Kentie Launcher Deus Exe is a replacement executable for Deus Ex. It's compatible with the GOTY edition of the game, which includes the Steam version. Note: the enhanced Steam version of DeusEx appears to lose support for the high resolution/wide screen fixes, when the Kentie Launcher is installed.
The launcher:
Kentie Launcher homepage
This script will download version 8.1 of the Kentie Launcher and automatically install it, to the specified WINEPREFIX.
Update the KENTIE_VERSION variable as required.
export DEUS_EX_PATH PATH_7ZIP KENTIE_LAUNCHER_ARCHIVE KENTIE_LAUNCHER_URL KENTIE_VERSION
KENTIE_VERSION="8.1"
KENTIE_LAUNCHER_URL="http://kentie.net/article/dxguide/files/DeusExe-v${KENTIE_VERSION}.zip"
KENTIE_LAUNCHER_ARCHIVE="$(basename "${KENTIE_LAUNCHER_URL}")"
# Install winetricks verbs: vcrun2015 7zip
if ! winetricks vcrun2015 7zip; then
printf "winetricks vcrun2015 7zip failed\\n" >&2
exit 1
fi
# Read install path for Deus Ex, from the Wine Registry.
# Note: this requires a first run, when DeusEx is installed under Steam.
DEUS_EX_PATH="$(
wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
| awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
| dos2unix
)"
# Fallback to 'C:\DeusEx'
DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"
printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"
# Convert path from Windows to Unix format
DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"
if [[ ! -d "${DEUS_EX_PATH}" ]]; then
printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
exit 1
fi
# Download Kentie Launcher
if ! wget "${KENTIE_LAUNCHER_URL}" -O "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"; then
printf "Kentie Deus Ex Launcher unavailable @: '%s'\\n" "${KENTIE_LAUNCHER_URL}" >&2
exit 1
fi
# Hack to determine path of 7-zip (32-bit or 64-bit)
PATH_7ZIP='C:\Program Files (x86)\7-Zip\7z.exe'
if ! wine "${PATH_7ZIP}" &>/dev/null; then
PATH_7ZIP='C:\Program Files\7-Zip\7z.exe'
fi
if ! cd "${DEUS_EX_PATH}/System"; then
printf "cd to path: '%s' ; failed\\n" "${DEUS_EX_PATH}/System" >&2
exit 1
fi
# Extract Kentie Launcher archive (case-insensitive)
if ! wine "${PATH_7ZIP}" e -y """$(winepath -w "${KENTIE_LAUNCHER_ARCHIVE}" )"""; then
printf "Unable to extract Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}" >&2
exit 1
fi
printf "Successfully extracted Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"